static procedure language_highlight_common (language_structure * language, syntax_structure * syntax) {
	character * separators = ".,:;<=>+*-/%!&~^?|()[]{}'\"@#$` \t\r\n";

	syntax_define (syntax, false, false, "'",  "'",  '\\', language->character_colour, language->character_effect);
	syntax_define (syntax, false, false, "\"", "\"", '\\', language->string_colour,    language->string_effect);

	syntax_define (syntax, true,  false, "()[]{}",                 "", '\0', language->bracket_colour,  language->bracket_effect);
	syntax_define (syntax, true,  false, ".,:;<=>+*-/%!&~^?|@#$`", "", '\0', language->operator_colour, language->operator_effect);

	syntax_define (syntax, true,  true,  language_digits, separators, '\0', language->number_colour, language->number_effect);
}
